Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QApplication.ColorSpec

    java.lang.Object
      java.lang.Enum<QApplication.ColorSpec>
          com.trolltech.qt.gui.QApplication.ColorSpec

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QApplication.ColorSpec>

Enclosing class:
  QApplication

    public static enum QApplication.ColorSpec

extends java.lang.Enum<QApplication.ColorSpec>
implements QtEnumerator

See `setColorSpec` for full details.

Enum Constant Summary
`CustomColor` the same as `NormalColor` for X11; allocates colors to a palette on demand under Windows
`ManyColor` the right choice for applications that use thousands of colors
`NormalColor` the default color allocation policy

Method Summary
`static QApplication.ColorSpec` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QApplication.ColorSpec` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QApplication.ColorSpec[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NormalColor

    public static final QApplication.ColorSpec NormalColor

  the default color allocation policy

### CustomColor

    public static final QApplication.ColorSpec CustomColor

  the same as `NormalColor` for X11; allocates colors to a palette on demand under Windows

### ManyColor

    public static final QApplication.ColorSpec ManyColor

  the right choice for applications that use thousands of colors

Method Detail

### values

    public static final QApplication.ColorSpec[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QApplication.ColorSpec c : QApplication.ColorSpec.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QApplication.ColorSpec valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QApplication.ColorSpec resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD